cPanel error Altered RPMs found on server

sicwebsite

Registered
Oct 9, 2014
2
0
1
cPanel Access Level
Website Owner
I have cpanel installed on my dedicated server. I am receiving the error below frequently:

Code:
Problems were detected with cPanel-provided files which are RPM controlled.
If you did not make these changes intentionally, you can correct them by running:

> /usr/local/cpanel/scripts/check_cpanel_rpms --fix

The following RPMs are missing from your system:
exim-4.82-4.cp1136
When i run /usr/local/cpanel/scripts/check_cpanel_rpms --fix, i get this

Code:
[email protected] [~]# /usr/local/cpanel/scripts/check_cpanel_rpms --fix
[20141009.104321]   
[20141009.104321]   Problems were detected with cPanel-provided files which are RPM controlled.
[20141009.104321]   If you did not make these changes intentionally, you can correct them by     running:
[20141009.104321]   
[20141009.104321]   > /usr/local/cpanel/scripts/check_cpanel_rpms --fix
[20141009.104321]   The following RPMs are missing from your system:
[20141009.104321]   exim-4.82-4.cp1136
[20141009.104326]   Removing 0 broken rpms: 
[20141009.104326]   rpm: no packages given for erase
[20141009.104327]   Downloading http://httpupdate.cpanel.net/RPM/11.36/centos/6/x86_64/rpm.md5
[20141009.104327]   exim-4.82-4.cp1136.x86_64.rpm already downloaded
[20141009.104328]   Hooks system enabled
[20141009.104328]   Checking for and running RPM::Versions 'pre' hooks for any RPMs about to be    installed
warn [check_cpanel_rpms] program "/scripts/preeximup" is not executable
[20141009.104328]   All required 'pre' hooks have been run
[20141009.104328]   No RPMS need to be uninstalled
[20141009.104328]   Installing new rpms: exim-4.82-4.cp1136.x86_64.rpm
[20141009.104328]   error: Failed dependencies:
[20141009.104328]       sendmail = 8.14.4-8.el6 is needed by (installed) sendmail-devel-8.14.4-8.el6.x86_64
[20141009.104328] W Error Code: 1
[20141009.104328] E The following possible errors were detected while installing RPMs:
[20141009.104328] E Failed dependencies
[20141009.104328]   The Administrator will be notified to review this output when this script completes
[20141009.104328]   Checking for and running RPM::Versions 'post' hooks for any RPMs just installed
warn [check_cpanel_rpms] program "/scripts/posteximup" is not executable
[20141009.104328]   All required 'post' hooks have been run
What do i do to get rid of the error?
 

John

Active Member
Jan 1, 2014
25
2
3
cPanel Access Level
Root Administrator
Hello,

Remove rpms using below commands

rpm -qa | grep sendmail ( you will get the package names)

rpm -e "package name" --nodeps
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,917
2,246
363
Hello :)

You can also remove it via YUM if you do not use the package:

Code:
yum remove sendmail
yum remove sendmail-devel
Thank you.
 

MaraBlue

Well-Known Member
May 3, 2005
334
2
168
Carmichael, CA
cPanel Access Level
Root Administrator
Hello :)

You can also remove it via YUM if you do not use the package:

Code:
yum remove sendmail
yum remove sendmail-devel
Thank you.
A heads up - I would be careful using this option. On CentOS yum will ask if you want to remove dependencies, also. One of those dependencies is cron/crond.
 

MaraBlue

Well-Known Member
May 3, 2005
334
2
168
Carmichael, CA
cPanel Access Level
Root Administrator